IF OBJECT_ID('dbo.sp_fco_upd_centros_trabajo') IS NOT NULL
    DROP PROCEDURE dbo.sp_fco_upd_centros_trabajo
GO
CREATE PROCEDURE dbo.sp_fco_upd_centros_trabajo
(
    @pch_compania char(4),
    @pch_centro_trabajo char(10),
    @pvc_descripcion varchar(60),
    @pdc_cod_reporte decimal(9),
    @pdc_tarifa decimal(6,5)
)
AS
BEGIN
    IF EXISTS(SELECT 1 FROM fco_centros_trabajo WHERE compania = @pch_compania AND centro_trabajo = @pch_centro_trabajo)
        UPDATE fco_centros_trabajo
        SET descripcion = @pvc_descripcion,
            codigo_reporte = @pdc_cod_reporte,
            tarifa = @pdc_tarifa
        WHERE compania = @pch_compania
          AND centro_trabajo = @pch_centro_trabajo
    ELSE
        INSERT INTO fco_centros_trabajo
        (compania, centro_trabajo, descripcion, codigo_reporte, tarifa)
        SELECT @pch_compania, @pch_centro_trabajo, @pvc_descripcion, @pdc_cod_reporte, @pdc_tarifa
END
GO
GRANT EXECUTE ON dbo.sp_fco_upd_centros_trabajo TO PUBLIC
GO
